<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/ask_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>02/26/90  ask_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>The ask_ subroutine provides a flexible terminal input facility for
<span id="L5" class="LineNr">  5 </span>whole lines, strings delimited by blanks, or fixed-point and
<span id="L6" class="LineNr">  6 </span>floating-point numbers.  Special attention is given to prompting the
<span id="L7" class="LineNr">  7 </span>terminal user.
<span id="L8" class="LineNr">  8 </span>
<span id="L9" class="LineNr">  9 </span>The main entry point returns the next string of characters delimited by
<span id="L10" class="LineNr"> 10 </span>blanks or tabs from the line typed by the user.  If the line buffer is
<span id="L11" class="LineNr"> 11 </span>empty, the ask_ subroutine formats and types out a prompting message
<span id="L12" class="LineNr"> 12 </span>and reads a line from the user_input I/O switch.
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>Entry points in ask_:
<span id="L16" class="LineNr"> 16 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>:Entry:  ask_:  02/26/85  ask_
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>
<span id="L22" class="LineNr"> 22 </span>Function:
<span id="L23" class="LineNr"> 23 </span>provides a flexible terminal input facility for
<span id="L24" class="LineNr"> 24 </span>whole lines, strings delimited by blanks, or fixed-point and
<span id="L25" class="LineNr"> 25 </span>floating-point numbers.
<span id="L26" class="LineNr"> 26 </span>
<span id="L27" class="LineNr"> 27 </span>
<span id="L28" class="LineNr"> 28 </span>Syntax:
<span id="L29" class="LineNr"> 29 </span>declare ask_ entry options <span class="textRainbow_lv0_p0">(</span>variable<span class="textRainbow_lv0_p0">)</span>;
<span id="L30" class="LineNr"> 30 </span>call ask_ <span class="textRainbow_lv0_p0">(</span>ctl<span class="textRainbow_lv0_o0">,</span> ans<span class="textRainbow_lv0_o0">,</span> ioa_args<span class="textRainbow_lv0_p0">)</span>;
<span id="L31" class="LineNr"> 31 </span>
<span id="L32" class="LineNr"> 32 </span>
<span id="L33" class="LineNr"> 33 </span>Arguments:
<span id="L34" class="LineNr"> 34 </span>ctl
<span id="L35" class="LineNr"> 35 </span>   is an ioa_ control string <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> in the same format as that used
<span id="L36" class="LineNr"> 36 </span>   by the ioa_ subroutine.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L37" class="LineNr"> 37 </span>ans
<span id="L38" class="LineNr"> 38 </span>   is the return value <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L39" class="LineNr"> 39 </span>ioa_args
<span id="L40" class="LineNr"> 40 </span>   are any number of arguments to be converted according to ctl.
<span id="L41" class="LineNr"> 41 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L42" class="LineNr"> 42 </span>
<span id="L43" class="LineNr"> 43 </span>
<span id="L44" class="LineNr"> 44 </span>:Entry:  ask_c:  02/26/85 ask_$ask_c
<span id="L45" class="LineNr"> 45 </span>
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>Function:  This entry point tests to determine if there is anything
<span id="L48" class="LineNr"> 48 </span>left on the line.  If so, it returns the next symbol, as in the
<span id="L49" class="LineNr"> 49 </span>ask_$ask_ entry point, and sets a flag to 1.  Otherwise, it sets the
<span id="L50" class="LineNr"> 50 </span>flag to 0 and returns.
<span id="L51" class="LineNr"> 51 </span>
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>Syntax:
<span id="L54" class="LineNr"> 54 </span>declare ask_$ask_c entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L55" class="LineNr"> 55 </span>call ask_$ask_c <span class="textRainbow_lv0_p0">(</span>ans<span class="textRainbow_lv0_o0">,</span> flag<span class="textRainbow_lv0_p0">)</span>;
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>
<span id="L58" class="LineNr"> 58 </span>Arguments:
<span id="L59" class="LineNr"> 59 </span>ans
<span id="L60" class="LineNr"> 60 </span>   is the next symbol, if any.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L61" class="LineNr"> 61 </span>flag
<span id="L62" class="LineNr"> 62 </span>   is the symbol flag.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  Its value can be:
<span id="L63" class="LineNr"> 63 </span>      1   if the symbol is returned.
<span id="L64" class="LineNr"> 64 </span>      0   if there is no symbol.
<span id="L65" class="LineNr"> 65 </span>
<span id="L66" class="LineNr"> 66 </span>
<span id="L67" class="LineNr"> 67 </span>:Entry:  ask_cint:  02/26/85 ask_$ask_cint
<span id="L68" class="LineNr"> 68 </span>
<span id="L69" class="LineNr"> 69 </span>
<span id="L70" class="LineNr"> 70 </span>Function:  This entry point is a conditional entry for integers.  If an
<span id="L71" class="LineNr"> 71 </span>integer is available on the line, it is returned and the flag is set to
<span id="L72" class="LineNr"> 72 </span>1.  If the line is empty, the flag is set to 0.  If there is a symbol
<span id="L73" class="LineNr"> 73 </span>on the line, but it is not a number, it is left on the line and the
<span id="L74" class="LineNr"> 74 </span>flag is set to -1.
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>
<span id="L77" class="LineNr"> 77 </span>Syntax:
<span id="L78" class="LineNr"> 78 </span>declare ask_$ask_cint entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L79" class="LineNr"> 79 </span>call ask_$ask_cint <span class="textRainbow_lv0_p0">(</span>int<span class="textRainbow_lv0_o0">,</span> flag<span class="textRainbow_lv0_p0">)</span>;
<span id="L80" class="LineNr"> 80 </span>
<span id="L81" class="LineNr"> 81 </span>
<span id="L82" class="LineNr"> 82 </span>Arguments:
<span id="L83" class="LineNr"> 83 </span>int
<span id="L84" class="LineNr"> 84 </span>   is the returned value, if any.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L85" class="LineNr"> 85 </span>flag
<span id="L86" class="LineNr"> 86 </span>   is the int flag.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  Its value can be:
<span id="L87" class="LineNr"> 87 </span>      1   if int is returned.
<span id="L88" class="LineNr"> 88 </span>      0   if the line is empty.
<span id="L89" class="LineNr"> 89 </span>     -1   if there is no number.
<span id="L90" class="LineNr"> 90 </span>
<span id="L91" class="LineNr"> 91 </span>
<span id="L92" class="LineNr"> 92 </span>:Entry:  ask_cflo:  02/26/85 ask_$ask_cflo
<span id="L93" class="LineNr"> 93 </span>
<span id="L94" class="LineNr"> 94 </span>
<span id="L95" class="LineNr"> 95 </span>Function:  This entry point works like the ask_$ask_cint entry point
<span id="L96" class="LineNr"> 96 </span>but returns a floating value, if an integer is available.
<span id="L97" class="LineNr"> 97 </span>
<span id="L98" class="LineNr"> 98 </span>
<span id="L99" class="LineNr"> 99 </span>Syntax:
<span id="L100" class="LineNr">100 </span>declare ask_$ask_cflo entry <span class="textRainbow_lv0_p0">(</span>float bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L101" class="LineNr">101 </span>call ask_$ask_cflo <span class="textRainbow_lv0_p0">(</span>flo<span class="textRainbow_lv0_o0">,</span> flag<span class="textRainbow_lv0_p0">)</span>;
<span id="L102" class="LineNr">102 </span>
<span id="L103" class="LineNr">103 </span>
<span id="L104" class="LineNr">104 </span>Arguments:
<span id="L105" class="LineNr">105 </span>flo
<span id="L106" class="LineNr">106 </span>   the returned value, if any.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L107" class="LineNr">107 </span>flag
<span id="L108" class="LineNr">108 </span>   is the flow flag.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  Its value can be:
<span id="L109" class="LineNr">109 </span>      0    if the line is empty.
<span id="L110" class="LineNr">110 </span>      1    if the value is returned.
<span id="L111" class="LineNr">111 </span>     -1    if it is not a number.
<span id="L112" class="LineNr">112 </span>
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>:Entry:  ask_cline:  02/26/85 ask_$ask_cline
<span id="L115" class="LineNr">115 </span>
<span id="L116" class="LineNr">116 </span>
<span id="L117" class="LineNr">117 </span>Function:  This entry point returns any part of the line that remains.
<span id="L118" class="LineNr">118 </span>A flag is set if the rest of the line is empty.
<span id="L119" class="LineNr">119 </span>
<span id="L120" class="LineNr">120 </span>
<span id="L121" class="LineNr">121 </span>Syntax:
<span id="L122" class="LineNr">122 </span>declare ask_$ask_cline entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L123" class="LineNr">123 </span>call ask_$ask_cline <span class="textRainbow_lv0_p0">(</span>line<span class="textRainbow_lv0_o0">,</span> flag<span class="textRainbow_lv0_p0">)</span>;
<span id="L124" class="LineNr">124 </span>
<span id="L125" class="LineNr">125 </span>
<span id="L126" class="LineNr">126 </span>Arguments:
<span id="L127" class="LineNr">127 </span>line
<span id="L128" class="LineNr">128 </span>   is the returned line, if any.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L129" class="LineNr">129 </span>flag
<span id="L130" class="LineNr">130 </span>   is the line flag.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  Its value can be:
<span id="L131" class="LineNr">131 </span>      1   if the line is returned.
<span id="L132" class="LineNr">132 </span>      0   if the line is empty.
<span id="L133" class="LineNr">133 </span>
<span id="L134" class="LineNr">134 </span>
<span id="L135" class="LineNr">135 </span>:Entry:  ask_clr:  02/26/85 ask_$ask_clr
<span id="L136" class="LineNr">136 </span>
<span id="L137" class="LineNr">137 </span>
<span id="L138" class="LineNr">138 </span>Function:  This entry point clears the internal line buffer.  Because
<span id="L139" class="LineNr">139 </span>the buffer is internal static, the input of one program can
<span id="L140" class="LineNr">140 </span>accidentally be passed to another unless the second begins with a call
<span id="L141" class="LineNr">141 </span>to this entry point.  If a value typed by the user is incorrect and if
<span id="L142" class="LineNr">142 </span>the program wishes to ask for the line to be retyped, the ask_$ask_clr
<span id="L143" class="LineNr">143 </span>entry point can also be called.
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>Syntax:
<span id="L147" class="LineNr">147 </span>declare ask_$ask_clr entry;
<span id="L148" class="LineNr">148 </span>call ask_$ask_clr;
<span id="L149" class="LineNr">149 </span>
<span id="L150" class="LineNr">150 </span>
<span id="L151" class="LineNr">151 </span>:Entry:  ask_cnf:  02/26/85 ask_$ask_cnf
<span id="L152" class="LineNr">152 </span>
<span id="L153" class="LineNr">153 </span>
<span id="L154" class="LineNr">154 </span>Function:  This entry point works like the ask_$ask_cint entry point
<span id="L155" class="LineNr">155 </span>except that it returns a value of &quot;on&quot; or &quot;off&quot; if a character string
<span id="L156" class="LineNr">156 </span>of either &quot;on&quot; or &quot;off&quot; is available.
<span id="L157" class="LineNr">157 </span>
<span id="L158" class="LineNr">158 </span>
<span id="L159" class="LineNr">159 </span>Syntax:
<span id="L160" class="LineNr">160 </span>declare ask_$ask_cnf entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L161" class="LineNr">161 </span>call ask_$ask_cnf <span class="textRainbow_lv0_p0">(</span>ans<span class="textRainbow_lv0_o0">,</span> flag<span class="textRainbow_lv0_p0">)</span>;
<span id="L162" class="LineNr">162 </span>
<span id="L163" class="LineNr">163 </span>
<span id="L164" class="LineNr">164 </span>Arguments:
<span id="L165" class="LineNr">165 </span>ans
<span id="L166" class="LineNr">166 </span>   is a value of &quot;on&quot; or &quot;off&quot; if such a value is present.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L167" class="LineNr">167 </span>flag
<span id="L168" class="LineNr">168 </span>   is the yn flag.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  Its value can be:
<span id="L169" class="LineNr">169 </span>      1  if a &quot;on&quot; or &quot;off&quot; value is returned.
<span id="L170" class="LineNr">170 </span>      0  if the line is empty.
<span id="L171" class="LineNr">171 </span>     -1  if the next value on the line is not &quot;on&quot; or &quot;off&quot;
<span id="L172" class="LineNr">172 </span>
<span id="L173" class="LineNr">173 </span>
<span id="L174" class="LineNr">174 </span>:Entry:  ask_cyn:  02/26/85 ask_$ask_cyn
<span id="L175" class="LineNr">175 </span>
<span id="L176" class="LineNr">176 </span>
<span id="L177" class="LineNr">177 </span>Function: This entry point works like the ask_$ask_cint entry point
<span id="L178" class="LineNr">178 </span>except that it returns a value of yes <span class="textRainbow_lv0_p0">(</span>or y<span class="textRainbow_lv0_p0">)</span> or no <span class="textRainbow_lv0_p0">(</span>or n<span class="textRainbow_lv0_p0">)</span> if a
<span id="L179" class="LineNr">179 </span>character string of either &quot;yes&quot; or &quot;no&quot; is available.
<span id="L180" class="LineNr">180 </span>
<span id="L181" class="LineNr">181 </span>
<span id="L182" class="LineNr">182 </span>Syntax:
<span id="L183" class="LineNr">183 </span>declare ask_$ask_cyn <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L184" class="LineNr">184 </span>call ask_$ask_cyn <span class="textRainbow_lv0_p0">(</span>ans<span class="textRainbow_lv0_o0">,</span> flag<span class="textRainbow_lv0_p0">)</span>;
<span id="L185" class="LineNr">185 </span>
<span id="L186" class="LineNr">186 </span>
<span id="L187" class="LineNr">187 </span>Arguments:
<span id="L188" class="LineNr">188 </span>ans
<span id="L189" class="LineNr">189 </span>   is a value of yes <span class="textRainbow_lv0_p0">(</span>or y<span class="textRainbow_lv0_p0">)</span> or no <span class="textRainbow_lv0_p0">(</span>or n<span class="textRainbow_lv0_p0">)</span> if such a value is present.
<span id="L190" class="LineNr">190 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L191" class="LineNr">191 </span>flag
<span id="L192" class="LineNr">192 </span>   is the yn flag.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  Its value can be:
<span id="L193" class="LineNr">193 </span>      1  if a yes <span class="textRainbow_lv0_p0">(</span>or y<span class="textRainbow_lv0_p0">)</span> or no <span class="textRainbow_lv0_p0">(</span>or n<span class="textRainbow_lv0_p0">)</span> value is returned.
<span id="L194" class="LineNr">194 </span>      0  if the line is empty.
<span id="L195" class="LineNr">195 </span>     -1  if the next value on the line is not yes <span class="textRainbow_lv0_p0">(</span>or y<span class="textRainbow_lv0_p0">)</span> or no <span class="textRainbow_lv0_p0">(</span>or n<span class="textRainbow_lv0_p0">)</span>.
<span id="L196" class="LineNr">196 </span>
<span id="L197" class="LineNr">197 </span>
<span id="L198" class="LineNr">198 </span>:Entry:  ask_int:  02/26/85 ask_$ask_int
<span id="L199" class="LineNr">199 </span>
<span id="L200" class="LineNr">200 </span>
<span id="L201" class="LineNr">201 </span>Function:  This entry point works the same as the ask_$ask_ entry point
<span id="L202" class="LineNr">202 </span>except that the next item on the line must be a number.  An integer
<span id="L203" class="LineNr">203 </span>value is returned.  Numbers can be fixed point or floating point,
<span id="L204" class="LineNr">204 </span>positive or negative.  A leading dollar sign or a comma is ignored.  If
<span id="L205" class="LineNr">205 </span>the value typed is not a number, the program types:
<span id="L206" class="LineNr">206 </span>   &quot;string&quot; nonnumeric.  Please retype:
<span id="L207" class="LineNr">207 </span>and waits for the user to retype the line.
<span id="L208" class="LineNr">208 </span>
<span id="L209" class="LineNr">209 </span>
<span id="L210" class="LineNr">210 </span>Syntax:
<span id="L211" class="LineNr">211 </span>declare ask_$ask_int entry options <span class="textRainbow_lv0_p0">(</span>variable<span class="textRainbow_lv0_p0">)</span>;
<span id="L212" class="LineNr">212 </span>call ask_$ask_int <span class="textRainbow_lv0_p0">(</span>ctl<span class="textRainbow_lv0_o0">,</span> int<span class="textRainbow_lv0_o0">,</span> ioa_args<span class="textRainbow_lv0_p0">)</span>;
<span id="L213" class="LineNr">213 </span>
<span id="L214" class="LineNr">214 </span>
<span id="L215" class="LineNr">215 </span>Arguments:
<span id="L216" class="LineNr">216 </span>ctl
<span id="L217" class="LineNr">217 </span>   is an ioa_ control string <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> in the same format as that used
<span id="L218" class="LineNr">218 </span>   by the ioa_ subroutine.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.  If a period is typed, zero is
<span id="L219" class="LineNr">219 </span>   returned.
<span id="L220" class="LineNr">220 </span>int
<span id="L221" class="LineNr">221 </span>   is the return value <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L222" class="LineNr">222 </span>ioa_args
<span id="L223" class="LineNr">223 </span>   are any number of arguments to be converted according to ctl.
<span id="L224" class="LineNr">224 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L225" class="LineNr">225 </span>
<span id="L226" class="LineNr">226 </span>
<span id="L227" class="LineNr">227 </span>:Entry:  ask_flo:  02/26/85 ask_$ask_flo
<span id="L228" class="LineNr">228 </span>
<span id="L229" class="LineNr">229 </span>
<span id="L230" class="LineNr">230 </span>Function:  This entry point works like the ask_$ask_int entry point
<span id="L231" class="LineNr">231 </span>except that it returns a floating value.
<span id="L232" class="LineNr">232 </span>
<span id="L233" class="LineNr">233 </span>
<span id="L234" class="LineNr">234 </span>Syntax:
<span id="L235" class="LineNr">235 </span>declare ask_$ask_flo entry options <span class="textRainbow_lv0_p0">(</span>variable<span class="textRainbow_lv0_p0">)</span>;
<span id="L236" class="LineNr">236 </span>call ask_$ask_flo <span class="textRainbow_lv0_p0">(</span>ctl<span class="textRainbow_lv0_o0">,</span> flo<span class="textRainbow_lv0_o0">,</span> ioa_args<span class="textRainbow_lv0_p0">)</span>;
<span id="L237" class="LineNr">237 </span>
<span id="L238" class="LineNr">238 </span>
<span id="L239" class="LineNr">239 </span>Arguments:
<span id="L240" class="LineNr">240 </span>ctl
<span id="L241" class="LineNr">241 </span>   is an ioa_ control string <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> in the same format as that used
<span id="L242" class="LineNr">242 </span>   by the ioa_ subroutine.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.  If a period is typed, zero is
<span id="L243" class="LineNr">243 </span>   returned.
<span id="L244" class="LineNr">244 </span>flo
<span id="L245" class="LineNr">245 </span>   is the return value <span class="textRainbow_lv0_p0">(</span>float bin<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L246" class="LineNr">246 </span>ioa_args
<span id="L247" class="LineNr">247 </span>   are any number of arguments to be converted according to ctl.
<span id="L248" class="LineNr">248 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L249" class="LineNr">249 </span>
<span id="L250" class="LineNr">250 </span>
<span id="L251" class="LineNr">251 </span>:Entry:  ask_line:  02/26/85 ask_$ask_line
<span id="L252" class="LineNr">252 </span>
<span id="L253" class="LineNr">253 </span>
<span id="L254" class="LineNr">254 </span>Function:  This entry returns the remainder of the line typed by the
<span id="L255" class="LineNr">255 </span>user.  Leading blanks are removed.  If there is nothing left on the
<span id="L256" class="LineNr">256 </span>line, the program prompts and reads a new line.
<span id="L257" class="LineNr">257 </span>
<span id="L258" class="LineNr">258 </span>
<span id="L259" class="LineNr">259 </span>Syntax:
<span id="L260" class="LineNr">260 </span>declare ask_$ask_line entry options <span class="textRainbow_lv0_p0">(</span>variable<span class="textRainbow_lv0_p0">)</span>;
<span id="L261" class="LineNr">261 </span>call ask_$ask_line <span class="textRainbow_lv0_p0">(</span>ctl<span class="textRainbow_lv0_o0">,</span> line<span class="textRainbow_lv0_o0">,</span> ioa_args<span class="textRainbow_lv0_p0">)</span>;
<span id="L262" class="LineNr">262 </span>
<span id="L263" class="LineNr">263 </span>
<span id="L264" class="LineNr">264 </span>Arguments:
<span id="L265" class="LineNr">265 </span>ctl
<span id="L266" class="LineNr">266 </span>   is an ioa_ control string <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> in the same format as that used
<span id="L267" class="LineNr">267 </span>   by the ioa_ subroutine.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L268" class="LineNr">268 </span>line
<span id="L269" class="LineNr">269 </span>   is the return value <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L270" class="LineNr">270 </span>ioa_args
<span id="L271" class="LineNr">271 </span>   are any number of arguments to be converted according to ctl.
<span id="L272" class="LineNr">272 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L273" class="LineNr">273 </span>
<span id="L274" class="LineNr">274 </span>
<span id="L275" class="LineNr">275 </span>:Entry:  ask_n:  02/26/85 ask_$ask_n
<span id="L276" class="LineNr">276 </span>
<span id="L277" class="LineNr">277 </span>
<span id="L278" class="LineNr">278 </span>Function:  This entry point scans the line and returns the next symbol
<span id="L279" class="LineNr">279 </span>without changing the line pointer.  A call to the ask_ entry point
<span id="L280" class="LineNr">280 </span>later returns the same value.
<span id="L281" class="LineNr">281 </span>
<span id="L282" class="LineNr">282 </span>
<span id="L283" class="LineNr">283 </span>Syntax:
<span id="L284" class="LineNr">284 </span>declare ask_$ask_n entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L285" class="LineNr">285 </span>call ask_$ask_n <span class="textRainbow_lv0_p0">(</span>ans<span class="textRainbow_lv0_o0">,</span> flag<span class="textRainbow_lv0_p0">)</span>;
<span id="L286" class="LineNr">286 </span>
<span id="L287" class="LineNr">287 </span>
<span id="L288" class="LineNr">288 </span>Arguments:
<span id="L289" class="LineNr">289 </span>ans
<span id="L290" class="LineNr">290 </span>   is the returned symbol, if any.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L291" class="LineNr">291 </span>flag
<span id="L292" class="LineNr">292 </span>   is the ans flag.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  Its value can be:
<span id="L293" class="LineNr">293 </span>      0  if the line is empty.
<span id="L294" class="LineNr">294 </span>      1  if the symbol is returned.
<span id="L295" class="LineNr">295 </span>
<span id="L296" class="LineNr">296 </span>
<span id="L297" class="LineNr">297 </span>:Entry:  ask_nf:  02/26/85 ask_$ask_nf
<span id="L298" class="LineNr">298 </span>
<span id="L299" class="LineNr">299 </span>
<span id="L300" class="LineNr">300 </span>Function:  This entry point works like ask_$ask_yn except that it
<span id="L301" class="LineNr">301 </span>returns a value of &quot;on&quot; or &quot;off&quot;.
<span id="L302" class="LineNr">302 </span>
<span id="L303" class="LineNr">303 </span>
<span id="L304" class="LineNr">304 </span>Syntax:
<span id="L305" class="LineNr">305 </span>declare ask_$ask_nf entry options <span class="textRainbow_lv0_p0">(</span>variable<span class="textRainbow_lv0_p0">)</span>;
<span id="L306" class="LineNr">306 </span>call ask_$ask_nf <span class="textRainbow_lv0_p0">(</span>ctl<span class="textRainbow_lv0_o0">,</span> line<span class="textRainbow_lv0_o0">,</span> ioa_args<span class="textRainbow_lv0_p0">)</span>;
<span id="L307" class="LineNr">307 </span>
<span id="L308" class="LineNr">308 </span>
<span id="L309" class="LineNr">309 </span>Arguments:
<span id="L310" class="LineNr">310 </span>ctl
<span id="L311" class="LineNr">311 </span>   is an ioa_ control string <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> in the same format as that used
<span id="L312" class="LineNr">312 </span>   by the ioa_ subroutine.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L313" class="LineNr">313 </span>line
<span id="L314" class="LineNr">314 </span>   is the return value <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L315" class="LineNr">315 </span>ioa_args
<span id="L316" class="LineNr">316 </span>   are any number of arguments to be converted according to ctl.
<span id="L317" class="LineNr">317 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L318" class="LineNr">318 </span>
<span id="L319" class="LineNr">319 </span>
<span id="L320" class="LineNr">320 </span>:Entry:  ask_nflo:  02/26/85 ask_$ask_nflo
<span id="L321" class="LineNr">321 </span>
<span id="L322" class="LineNr">322 </span>
<span id="L323" class="LineNr">323 </span>Function:  This entry point scans the line for floating point numbers.
<span id="L324" class="LineNr">324 </span>
<span id="L325" class="LineNr">325 </span>
<span id="L326" class="LineNr">326 </span>Syntax:
<span id="L327" class="LineNr">327 </span>declare ask_$ask_nflo entry <span class="textRainbow_lv0_p0">(</span>float bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L328" class="LineNr">328 </span>call ask_$ask_nflo <span class="textRainbow_lv0_p0">(</span>flo<span class="textRainbow_lv0_o0">,</span> flag<span class="textRainbow_lv0_p0">)</span>;
<span id="L329" class="LineNr">329 </span>
<span id="L330" class="LineNr">330 </span>
<span id="L331" class="LineNr">331 </span>Arguments:
<span id="L332" class="LineNr">332 </span>flo
<span id="L333" class="LineNr">333 </span>   is the returned value, if any. If a period is typed, zero is
<span id="L334" class="LineNr">334 </span>   returned. <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L335" class="LineNr">335 </span>flag
<span id="L336" class="LineNr">336 </span>   is the flow flag.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  Its value can be:
<span id="L337" class="LineNr">337 </span>      0    if the line is empty.
<span id="L338" class="LineNr">338 </span>      1    if the value is returned.
<span id="L339" class="LineNr">339 </span>     -1    if it is not a number.
<span id="L340" class="LineNr">340 </span>
<span id="L341" class="LineNr">341 </span>
<span id="L342" class="LineNr">342 </span>:Entry:  ask_nint:  02/26/85 ask_$ask_nint
<span id="L343" class="LineNr">343 </span>
<span id="L344" class="LineNr">344 </span>
<span id="L345" class="LineNr">345 </span>Function:  This entry point scans the line for integers.  The second
<span id="L346" class="LineNr">346 </span>argument is returned as -1 if there is a symbol on the line but it is
<span id="L347" class="LineNr">347 </span>not a number, 1 if successful, and 0 if the line is empty.
<span id="L348" class="LineNr">348 </span>
<span id="L349" class="LineNr">349 </span>
<span id="L350" class="LineNr">350 </span>Syntax:
<span id="L351" class="LineNr">351 </span>declare ask_$ask_nint entry <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L352" class="LineNr">352 </span>call ask_$ask_nint <span class="textRainbow_lv0_p0">(</span>int<span class="textRainbow_lv0_o0">,</span> flag<span class="textRainbow_lv0_p0">)</span>;
<span id="L353" class="LineNr">353 </span>
<span id="L354" class="LineNr">354 </span>
<span id="L355" class="LineNr">355 </span>Arguments:
<span id="L356" class="LineNr">356 </span>int
<span id="L357" class="LineNr">357 </span>   is the returned value, if any. If a period is typed, zero is
<span id="L358" class="LineNr">358 </span>   returned. <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L359" class="LineNr">359 </span>flag
<span id="L360" class="LineNr">360 </span>   is the int flag.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  Its value can be:
<span id="L361" class="LineNr">361 </span>      1   if int is returned.
<span id="L362" class="LineNr">362 </span>      0   if the line is empty.
<span id="L363" class="LineNr">363 </span>     -1   if there is no number.
<span id="L364" class="LineNr">364 </span>
<span id="L365" class="LineNr">365 </span>
<span id="L366" class="LineNr">366 </span>:Entry:  ask_nline:  02/26/85 ask_$ask_nline
<span id="L367" class="LineNr">367 </span>
<span id="L368" class="LineNr">368 </span>
<span id="L369" class="LineNr">369 </span>Function:  This entry point initiates a scan of the rest of the line.
<span id="L370" class="LineNr">370 </span>
<span id="L371" class="LineNr">371 </span>
<span id="L372" class="LineNr">372 </span>Syntax:
<span id="L373" class="LineNr">373 </span>declare ask_$ask_nline entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L374" class="LineNr">374 </span>call ask_$ask_nline <span class="textRainbow_lv0_p0">(</span>line<span class="textRainbow_lv0_o0">,</span> flag<span class="textRainbow_lv0_p0">)</span>;
<span id="L375" class="LineNr">375 </span>
<span id="L376" class="LineNr">376 </span>
<span id="L377" class="LineNr">377 </span>Arguments:
<span id="L378" class="LineNr">378 </span>line
<span id="L379" class="LineNr">379 </span>   is the returned line, if any.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L380" class="LineNr">380 </span>flag
<span id="L381" class="LineNr">381 </span>   is the line flag.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  Its value can be:
<span id="L382" class="LineNr">382 </span>      1   if the line is returned.
<span id="L383" class="LineNr">383 </span>      0   if the line is empty.
<span id="L384" class="LineNr">384 </span>
<span id="L385" class="LineNr">385 </span>
<span id="L386" class="LineNr">386 </span>:Entry:  ask_nnf:  02/26/85 ask_$ask_nnf
<span id="L387" class="LineNr">387 </span>
<span id="L388" class="LineNr">388 </span>
<span id="L389" class="LineNr">389 </span>Function:  This entry point returns the next symbol, if it is an &quot;on&quot;
<span id="L390" class="LineNr">390 </span>or &quot;off&quot; value, without changing the line pointer.
<span id="L391" class="LineNr">391 </span>
<span id="L392" class="LineNr">392 </span>
<span id="L393" class="LineNr">393 </span>Syntax:
<span id="L394" class="LineNr">394 </span>declare ask_$ask_nnf entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L395" class="LineNr">395 </span>call ask_$ask_nnf <span class="textRainbow_lv0_p0">(</span>ans<span class="textRainbow_lv0_o0">,</span> flag<span class="textRainbow_lv0_p0">)</span>;
<span id="L396" class="LineNr">396 </span>
<span id="L397" class="LineNr">397 </span>
<span id="L398" class="LineNr">398 </span>Arguments:
<span id="L399" class="LineNr">399 </span>ans
<span id="L400" class="LineNr">400 </span>   is a value of &quot;on&quot; or &quot;off&quot; if such a value is present.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L401" class="LineNr">401 </span>flag
<span id="L402" class="LineNr">402 </span>   is the yn flag.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  Its value can be:
<span id="L403" class="LineNr">403 </span>      1  if a &quot;on&quot; or &quot;off&quot; value is returned.
<span id="L404" class="LineNr">404 </span>      0  if the line is empty.
<span id="L405" class="LineNr">405 </span>     -1  if the next value on the line is not &quot;on&quot; or &quot;off.&quot;
<span id="L406" class="LineNr">406 </span>
<span id="L407" class="LineNr">407 </span>
<span id="L408" class="LineNr">408 </span>:Entry:  ask_nyn:  02/26/85 ask_$ask_nyn
<span id="L409" class="LineNr">409 </span>
<span id="L410" class="LineNr">410 </span>
<span id="L411" class="LineNr">411 </span>Function:  This entry point returns the next symbol, if it is a yes <span class="textRainbow_lv0_p0">(</span>or
<span id="L412" class="LineNr">412 </span>y<span class="textRainbow_lv0_p0">)</span> or no <span class="textRainbow_lv0_p0">(</span>n<span class="textRainbow_lv0_p0">)</span> value, without changing the line pointer.  The arguments
<span id="L413" class="LineNr">413 </span>are the same as those used with the ask_$ask_cint entry point.
<span id="L414" class="LineNr">414 </span>
<span id="L415" class="LineNr">415 </span>
<span id="L416" class="LineNr">416 </span>Syntax:
<span id="L417" class="LineNr">417 </span>declare ask_$ask_nyn entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_p0">)</span>;
<span id="L418" class="LineNr">418 </span>call ask_$ask_nyn <span class="textRainbow_lv0_p0">(</span>ans<span class="textRainbow_lv0_o0">,</span> flag<span class="textRainbow_lv0_p0">)</span>;
<span id="L419" class="LineNr">419 </span>
<span id="L420" class="LineNr">420 </span>
<span id="L421" class="LineNr">421 </span>Arguments:
<span id="L422" class="LineNr">422 </span>ans
<span id="L423" class="LineNr">423 </span>   is a value of yes <span class="textRainbow_lv0_p0">(</span>or y<span class="textRainbow_lv0_p0">)</span> or no <span class="textRainbow_lv0_p0">(</span>or n<span class="textRainbow_lv0_p0">)</span> if such a value is present.
<span id="L424" class="LineNr">424 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L425" class="LineNr">425 </span>flag
<span id="L426" class="LineNr">426 </span>   is the yn flag.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  Its value can be:
<span id="L427" class="LineNr">427 </span>      1  if a yes <span class="textRainbow_lv0_p0">(</span>or y<span class="textRainbow_lv0_p0">)</span> or no <span class="textRainbow_lv0_p0">(</span>or n<span class="textRainbow_lv0_p0">)</span> value is returned.
<span id="L428" class="LineNr">428 </span>      0  if the line is empty.
<span id="L429" class="LineNr">429 </span>     -1  if the next value on the line is not yes <span class="textRainbow_lv0_p0">(</span>or y<span class="textRainbow_lv0_p0">)</span> or no <span class="textRainbow_lv0_p0">(</span>or n<span class="textRainbow_lv0_p0">)</span>
<span id="L430" class="LineNr">430 </span>
<span id="L431" class="LineNr">431 </span>
<span id="L432" class="LineNr">432 </span>:Entry:  ask_prompt:  02/26/85 ask_$ask_prompt
<span id="L433" class="LineNr">433 </span>
<span id="L434" class="LineNr">434 </span>
<span id="L435" class="LineNr">435 </span>Function:  This entry point deletes the current contents of the
<span id="L436" class="LineNr">436 </span>internal line buffer and prompts for a new line.  The line is read in
<span id="L437" class="LineNr">437 </span>and the entry returns.
<span id="L438" class="LineNr">438 </span>
<span id="L439" class="LineNr">439 </span>
<span id="L440" class="LineNr">440 </span>Syntax:
<span id="L441" class="LineNr">441 </span>declare ask_$ask_prompt entry options <span class="textRainbow_lv0_p0">(</span>variable<span class="textRainbow_lv0_p0">)</span>;
<span id="L442" class="LineNr">442 </span>call ask_$ask_prompt <span class="textRainbow_lv0_p0">(</span>ctl<span class="textRainbow_lv0_o0">,</span> ioa_args<span class="textRainbow_lv0_p0">)</span>;
<span id="L443" class="LineNr">443 </span>
<span id="L444" class="LineNr">444 </span>
<span id="L445" class="LineNr">445 </span>Arguments:
<span id="L446" class="LineNr">446 </span>ctl
<span id="L447" class="LineNr">447 </span>   is a control string <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> similar to that typed by the ioa_
<span id="L448" class="LineNr">448 </span>   subroutine.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L449" class="LineNr">449 </span>ioa_args
<span id="L450" class="LineNr">450 </span>   are any number of arguments to be converted according to ctl.
<span id="L451" class="LineNr">451 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L452" class="LineNr">452 </span>
<span id="L453" class="LineNr">453 </span>
<span id="L454" class="LineNr">454 </span>:Entry:  ask_setline:  02/26/85 ask_$ask_setline
<span id="L455" class="LineNr">455 </span>
<span id="L456" class="LineNr">456 </span>
<span id="L457" class="LineNr">457 </span>Function:  This entry point sets the internal static buffer for the
<span id="L458" class="LineNr">458 </span>ask_ subroutine to the given input line so that the line can be
<span id="L459" class="LineNr">459 </span>scanned.
<span id="L460" class="LineNr">460 </span>
<span id="L461" class="LineNr">461 </span>
<span id="L462" class="LineNr">462 </span>Syntax:
<span id="L463" class="LineNr">463 </span>declare ask_$ask_setline entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L464" class="LineNr">464 </span>call ask_$ask_setline <span class="textRainbow_lv0_p0">(</span>line<span class="textRainbow_lv0_p0">)</span>;
<span id="L465" class="LineNr">465 </span>
<span id="L466" class="LineNr">466 </span>
<span id="L467" class="LineNr">467 </span>Arguments:
<span id="L468" class="LineNr">468 </span>line
<span id="L469" class="LineNr">469 </span>   is the line to be placed in the ask_ buffer.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.  Trailing
<span id="L470" class="LineNr">470 </span>   blanks are removed from line.  A carriage return is optional at the
<span id="L471" class="LineNr">471 </span>   end of line.
<span id="L472" class="LineNr">472 </span>
<span id="L473" class="LineNr">473 </span>
<span id="L474" class="LineNr">474 </span>:Entry:  ask_yn:  02/26/85 ask_$ask_yn
<span id="L475" class="LineNr">475 </span>
<span id="L476" class="LineNr">476 </span>
<span id="L477" class="LineNr">477 </span>Function:  This entry point works like the ask_$ask_int entry point
<span id="L478" class="LineNr">478 </span>except that it returns a value of yes <span class="textRainbow_lv0_p0">(</span>or y<span class="textRainbow_lv0_p0">)</span> or no <span class="textRainbow_lv0_p0">(</span>or n<span class="textRainbow_lv0_p0">)</span>.  Its
<span id="L479" class="LineNr">479 </span>arguments are the same as those used with the ask_$ask_int entry point.
<span id="L480" class="LineNr">480 </span>
<span id="L481" class="LineNr">481 </span>
<span id="L482" class="LineNr">482 </span>Syntax:
<span id="L483" class="LineNr">483 </span>declare ask_$ask_yn entry options <span class="textRainbow_lv0_p0">(</span>variable<span class="textRainbow_lv0_p0">)</span>;
<span id="L484" class="LineNr">484 </span>call ask_$ask_yn <span class="textRainbow_lv0_p0">(</span>ctl<span class="textRainbow_lv0_o0">,</span> ans<span class="textRainbow_lv0_o0">,</span> ioa_args<span class="textRainbow_lv0_p0">)</span>;
<span id="L485" class="LineNr">485 </span>
<span id="L486" class="LineNr">486 </span>
<span id="L487" class="LineNr">487 </span>Arguments:
<span id="L488" class="LineNr">488 </span>ctl
<span id="L489" class="LineNr">489 </span>   is an ioa_ control string <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> in the same format as that used
<span id="L490" class="LineNr">490 </span>   by the ioa_ subroutine.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L491" class="LineNr">491 </span>ans
<span id="L492" class="LineNr">492 </span>   is a value of yes <span class="textRainbow_lv0_p0">(</span>or y<span class="textRainbow_lv0_p0">)</span> or no <span class="textRainbow_lv0_p0">(</span>or n<span class="textRainbow_lv0_p0">)</span> if such a value was present.
<span id="L493" class="LineNr">493 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L494" class="LineNr">494 </span>ioa_args
<span id="L495" class="LineNr">495 </span>   are any number of arguments to be converted according to ctl.
<span id="L496" class="LineNr">496 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
